%global sname requests-gssapi
%global s_name requests_gssapi

Summary:        A GSSAPI/SPNEGO authentication handler for python-requests
Name:           python-%{sname}
Version:        1.2.3
Release:        4%{?dist}
License:        ISC
URL:            https://github.com/pythongssapi/%{sname}
Source0:        %{url}/releases/download/v%{version}/%{sname}-%{version}.tar.gz

BuildRequires:  git-core python3-devel python3-gssapi python3-requests python3-setuptools
BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, for human beings. This library adds optional GSSAPI
authentication support and supports mutual authentication. It includes a fully backward-compatible
shim for requests-kerberos.

%package -n python3-%{sname}
Summary:        A GSSAPI/SPNEGO authentication handler for python-requests
Requires:       python3-gssapi python3-requests

%description -n python3-%{sname}
Requests is an HTTP library, written in Python, for human beings. This library adds optional GSSAPI
authentication support and supports mutual authentication. It includes a fully backward-compatible
shim for requests-kerberos.

%prep
%autosetup -S git_am -n %{sname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m unittest

%files -n python3-%{sname}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python3_sitelib}/%{s_name}*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 6 2023 Shuo Wang <abushwang@tencent.com> - 1.2.3-1
- initial build
